Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.exception
Class ChannelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.esupportail.portal.channels.CStockage.exception.ChannelException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AclAccessException, AclReadException, AclWriteException, AnyVisibleSpaceException, ApplicationException, BadConnexionParameters, BadFormatException, CancelException, ConnexionParametersRequired, CopyException, CreateDirectoryException, DataBaseException, DeleteException, DownloadException, EmptyClipboardException, EmptyFileOnUploadException, InjacDocumentException, MetadataException, MoveException, MoveForPublishException, MoveForSubmitException, NoneSelectedResourceException, NotAuthorizedAccessPublishedDocumentException, NotAuthorizedDeleteException, NotAuthorizedDownloadException, NotAuthorizedException, NotAuthorizedModifyMetadataException, NotAuthorizedNewDirException, NotAuthorizedRenameException, NotAuthorizedUploadException, NotEditorInSpaceException, NotEmptyDirectoryException, NotExistsResourceException, NotSupportedAclException, NotWriterInSpaceException, OverQuotaException, PasteDeletedResourceException, PasteInChildDirectoryException, PasteNotAuthorizedResourceException, PasteWithSameNameException, PropertiesException, PublishInBadSpaceException, ReadFileException, RenameException, ServerException, SizeLimitUploadException, StillExistsException, StillExistsServerException, SubmitInBadSpaceException, TooMuchSelectedException, UnpublishException, UploadException

public class ChannelException
extends java.lang.Exception

Id: ChannelException.java,v 1.0 13 mai 2004
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: ChannelException
Original Author: Yohan Colmant
An abstract exception

See Also:
  Serialized Form

Field Summary
`private int` | `errorCode` The error code associated to this exception

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`ChannelException()` Constructor
`ChannelException(int errorCode)` Constructor

Method Summary
`int` | `getErrorCode()` Return the error code associated to this exception
`java.lang.String` | `toString()` Return a string form of this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    private int errorCode

  The error code associated to this exception

Constructor Detail

### ChannelException

    public ChannelException()

  Constructor

### ChannelException

    public ChannelException(int errorCode)

  Constructor

Parameters:
  `errorCode` - the errorCode associate to this exception

Method Detail

### getErrorCode

    public int getErrorCode()

  Return the error code associated to this exception

  Returns:
    the error code

### toString

    public java.lang.String toString()

  Return a string form of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD